Bug 1482170 - unable to provision against openstack with a volume attached
Summary: unable to provision against openstack with a volume attached
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Sam Lucidi
QA Contact: Ido Ovadia
URL:
Whiteboard: openstack
Depends On: 1475260
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-16 15:40 UTC by Satoe Imaishi
Modified: 2017-10-24 00:39 UTC (History)
8 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1475260
Environment:
Last Closed: 2017-10-24 00:39:41 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-16 15:46:04 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/3bf47be83a48e61b4e6b24485c596caee6ce7012

commit 3bf47be83a48e61b4e6b24485c596caee6ce7012
Author:     tzumainn <tzumainn@redhat.com>
AuthorDate: Tue Aug 1 16:14:45 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 16 11:41:38 2017 -0400

    Merge pull request #73 from mansam/dont-crash-provision-if-volume-not-found
    
    Handle case where do_volume_creation_check gets a nil from Fog
    (cherry picked from commit 752420bc07b2b4f606be119656e2eccc4b297374)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1482170

 .../openstack/cloud_manager/provision/volume_attachment.rb     |  2 +-
 .../cloud_manager/provision/volume_attachment_spec.rb          | 10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

Comment 3 Ido Ovadia 2017-09-03 13:13:32 UTC
Verified
========
CFME 5.8.2.0

Comment 6 errata-xmlrpc 2017-10-24 00:39:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.